"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deploymentTargetsOperationCommand = void 0;
const deployment_targets_context_1 = require("@takomo/deployment-targets-context");
const deployment_targets_schema_1 = require("@takomo/deployment-targets-schema");
const util_1 = require("@takomo/util");
const joi_1 = __importDefault(require("joi"));
const plan_1 = require("./plan");
const inputSchema = () => {
    const { deploymentGroupPath, deploymentTargetName, } = deployment_targets_schema_1.createDeploymentTargetsSchemas();
    return joi_1.default.object({
        groups: joi_1.default.array().items(deploymentGroupPath).unique(),
        targets: joi_1.default.array().items(deploymentTargetName).unique(),
    }).unknown(true);
};
const deploymentTargetsOperationCommand = async ({ ctx, input, configRepository, io, }) => util_1.validateInput(inputSchema(), input)
    .then(() => deployment_targets_context_1.createDeploymentTargetsContext({
    ctx,
    configRepository,
    logger: io,
}))
    .then((ctx) => plan_1.planDeployment({
    ctx,
    input,
    io,
    timer: input.timer,
}))
    .then(io.printOutput);
exports.deploymentTargetsOperationCommand = deploymentTargetsOperationCommand;
//# sourceMappingURL=command.js.map