"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processDeploymentGroup = void 0;
const core_1 = require("@takomo/core");
const deployment_target_1 = require("./deployment-target");
/**
 * @hidden
 */
const processDeploymentGroup = async (holder, group, timer, state) => {
    const { io } = holder;
    io.info(`Execute deployment group: ${group.path}`);
    const results = new Array();
    for (const target of group.targets) {
        const targetResult = await deployment_target_1.processDeploymentTarget(holder, group, target, timer.startChild(target.name), state);
        results.push(targetResult);
    }
    timer.stop();
    return {
        ...core_1.resolveCommandOutputBase(results),
        results,
        path: group.path,
        timer,
    };
};
exports.processDeploymentGroup = processDeploymentGroup;
//# sourceMappingURL=deployment-group.js.map